# GoogleChartLine Class Reference

Inheritance diagram for GoogleChartLine:
[legend]

List of all members.

## Public Member Functions

| setValue ($value)
| setStyle (ChartLineStyle $style)
| getStyle ()
| setLabelStyle (ChartLabelStyle $style)
| getLabelStyle ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $style = null
| $labelStyle = null

## Detailed Description

Definition at line 15 of file GoogleChartLine.class.php.

## Member Function Documentation

static GoogleChartLine::create | ( |  | ) | `[static]`

Returns:
  GoogleChartLine

Reimplemented from GoogleChartPiece.

Definition at line 23 of file GoogleChartLine.class.php.

GoogleChartLine::getLabelStyle | ( |  | ) |

Returns:
  GoogleChartLabelStyle

Definition at line 67 of file GoogleChartLine.class.php.

Referenced by GoogleLineChart::addLine().

GoogleChartLine::getStyle | ( |  | ) |

Returns:
  ChartLineStyle

Definition at line 49 of file GoogleChartLine.class.php.

Referenced by GoogleLineChart::addLine().

GoogleChartLine::setLabelStyle | ( | ChartLabelStyle $ | style | ) |

Returns:
  GoogleChartLine

Definition at line 57 of file GoogleChartLine.class.php.

GoogleChartLine::setStyle | ( | ChartLineStyle $ | style | ) |

Returns:
  GoogleChartLine

Definition at line 39 of file GoogleChartLine.class.php.

GoogleChartLine::setValue | ( | $ | value | ) |

Returns:
  GoogleChartLine

Reimplemented from GoogleChartPiece.

Definition at line 31 of file GoogleChartLine.class.php.

References GoogleChartPiece::$value.

## Member Data Documentation

GoogleChartLine::$labelStyle = null`[private]`

Definition at line 18 of file GoogleChartLine.class.php.

GoogleChartLine::$style = null`[private]`

Definition at line 17 of file GoogleChartLine.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartLine.class.php